### Method

# Gtk CellAreaapply_attributes

deprecated: 4.10

#### Declaration [src]

    void
    gtk_cell_area_apply_attributes (
      GtkCellArea* area,
      GtkTreeModel* tree_model,
      GtkTreeIter* iter,
      gboolean is_expander,
      gboolean is_expanded
    )

#### Description [src]

Applies any connected attributes to the renderers in `area` by pulling the values from `tree_model`.

Deprecated since: 4.10

Please do not use it in newly written code.

#### Parameters

`tree_model`

  Type: `GtkTreeModel`

  The `GtkTreeModel` to pull values from.

  The data is owned by the caller of the method.

`iter`

  Type: `GtkTreeIter`

  The `GtkTreeIter` in `tree_model` to apply values for.

  The data is owned by the caller of the method.

`is_expander`

  Type: `gboolean`

  Whether `iter` has children.

`is_expanded`

  Type: `gboolean`

  Whether `iter` is expanded in the view and children are visible.